org.apache.coyote.http11.upgrade

## Class BioProcessor

- java.lang.Object
- - org.apache.coyote.http11.upgrade.AbstractProcessor<Socket>
  - - org.apache.coyote.http11.upgrade.BioProcessor

- All Implemented Interfaces:
    WebConnection, Processor<Socket>

      public class BioProcessor
      extends AbstractProcessor<Socket>

- - ### Field Summary

    - ### Fields inherited from class org.apache.coyote.http11.upgrade.AbstractProcessor

      `sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BioProcessor(SocketWrapper<Socket> wrapper, HttpUpgradeHandler httpUpgradeProcessor, int asyncWriteBufferSize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Log` | `getLog()`

    - ### Methods inherited from class org.apache.coyote.http11.upgrade.AbstractProcessor

      `asyncDispatch, asyncPostProcess, close, errorDispatch, event, getExecutor, getHttpUpgradeHandler, getInputStream, getOutputStream, getRequest, getUpgradeInbound, isAsync, isComet, isUpgrade, process, recycle, setSslSupport, upgradeDispatch, upgradeDispatch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BioProcessor

          public BioProcessor(SocketWrapper<Socket> wrapper,
                      HttpUpgradeHandler httpUpgradeProcessor,
                      int asyncWriteBufferSize)
                       throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### getLog

          protected Log getLog()

      Specified by:
        `getLog` in class `AbstractProcessor<Socket>`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.